Skip to main content
`Ctrl`+`K`

# EPSComputeError

Computes the error (based on the residual norm) associated with the `i`-th computed eigenpair.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSComputeError(EPS eps,PetscInt i,EPSErrorType type,PetscReal *error)

Collective

## Input Parameters

- eps - the linear eigensolver context

- i - the solution index

- type - the type of error to compute, see `EPSErrorType`

## Output Parameter

- error - the error

## Notes

The error can be computed in various ways, all of them based on the residual norm \(\|Ax-\lambda Bx\|_2\) where \((\lambda,x)\) is the approximate eigenpair.

If the computation of left eigenvectors was enabled with `EPSSetTwoSided()`, then the error will be computed using the maximum of the value above and the left residual norm \(\|y^*A-\lambda y^*B\|_2\), where \(y\) is the approximate left eigenvector.

## See Also

EPS: Eigenvalue Problem Solver, `EPSErrorType`, `EPSSolve()`, `EPSGetErrorEstimate()`, `EPSSetTwoSided()`

## Level

beginner

## Location

src/eps/interface/epssolve.c

## Examples

src/eps/tutorials/ex1.c
src/eps/tutorials/ex19.c
src/eps/tutorials/ex31.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages